Bug 207686 - grub-install in rescue mode doesn't find grub
grub-install in rescue mode doesn't find grub
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-22 11:25 EDT by Mark Wielaard
Modified: 2009-08-16 11:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Wielaard 2006-09-22 11:25:19 EDT
Description of problem:

Trying to reinstall grub in rescue mode through grub-install fails because it
tries to find /sbin/grub, but grub is installed in /usr/sbin/grub.

Version-Release number of selected component (if applicable):

FC6T3 DVD in rescue mode.
grub version 0.93

How reproducible:

Always.

Steps to Reproduce:
1. Boot DVD
2. linux rescue
3. grub-install --root-directory=/mnt/sysimage /dev/sda
  
Actual results:

Cannot find /sbin/grub

Expected results:

grub-install actually working

Additional info:

Workaround is using --grub-shell=/usr/sbin/grub
Comment 1 Matthew Miller 2007-04-06 13:40:40 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Adam Pribyl 2007-06-19 03:35:36 EDT
This problem is still present in any rescue mode until F7 final (I can not
change applicable version). If you do not chroot to existing install, you can
not simply use grub-install to do anything as it is missing grub. 
Comment 3 Bug Zapper 2008-04-03 23:49:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:23:44 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Ed Avis 2009-08-16 11:12:35 EDT
This bug is still current in Fedora 11.  I suggest updating the version, and then marking as a duplicate of bug 429785.

(Sadly, this is another of those bugs that are swept under the carpet by the 'Fedora version X is no longer maintained' robot.  Yet the problem still exists in Fedora releases up to the present day.  Bug 422641 reports the same problem in RHEL 5.1, which could have been avoided if this bug had been noticed.)

Note You need to log in before you can comment on or make changes to this bug.